Package com.xebialabs.xlrelease.domain

# Class OriginTemplateData

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ReleaseExtension
com.xebialabs.xlrelease.domain.OriginTemplateData

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class OriginTemplateData extends ReleaseExtension

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OriginTemplateData()`
  `OriginTemplateData(String originTemplateId, String originTemplateTitle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OriginTemplateData`
  `apply(String releaseId, String templateId, String templateTitle)`
  `String`
  `getOriginTemplateId()`
  `String`
  `getOriginTemplateTitle()`
  `static String`
  `ORIGIN_TEMPLATE_METADATA_PREFIX()`
  `String`
  `originTemplateId()`
  `void`
  `originTemplateId_$eq(String x$1)`
  `String`
  `originTemplateTitle()`
  `void`
  `originTemplateTitle_$eq(String x$1)`
  `void`
  `setOriginTemplateId(String x$1)`
  `void`
  `setOriginTemplateTitle(String x$1)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

  `accept, getVariableUsages`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OriginTemplateData

    public OriginTemplateData(String originTemplateId, String originTemplateTitle)

  - ### OriginTemplateData

    public OriginTemplateData()

- ## Method Details

  - ### ORIGIN_TEMPLATE_METADATA_PREFIX

    public static String ORIGIN_TEMPLATE_METADATA_PREFIX()

  - ### apply

    public static OriginTemplateData apply(String releaseId, String templateId, String templateTitle)

  - ### originTemplateId

    public String originTemplateId()

  - ### originTemplateId_$eq

    public void originTemplateId_$eq(String x$1)

  - ### originTemplateTitle

    public String originTemplateTitle()

  - ### originTemplateTitle_$eq

    public void originTemplateTitle_$eq(String x$1)

  - ### getOriginTemplateId

    public String getOriginTemplateId()

  - ### getOriginTemplateTitle

    public String getOriginTemplateTitle()

  - ### setOriginTemplateId

    public void setOriginTemplateId(String x$1)

  - ### setOriginTemplateTitle

    public void setOriginTemplateTitle(String x$1)